import { Compartment } from '@codemirror/state';
import { EditorView } from '@codemirror/view';
import { ReactElement } from 'react';
export declare class ModalState {
    private store;
    constructor(store: Store);
    isOpen: boolean;
    open(): void;
    close(): void;
}
declare class Preferences {
    mode: 'editor' | 'preview' | 'both';
    toolbar: 'show' | 'hide' | 'none';
    theme: 'light' | 'dark' | 'auto';
    toolbarItems: (string | ReactElement)[];
}
export declare class Store {
    editor: EditorView;
    editorTheme: Compartment;
    modals: {
        about: ModalState;
        emoji: ModalState;
        fontAwesome: ModalState;
    };
    preferences: Preferences;
    applyTheme(): void;
}
export {};
